<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.345
Name: Section CERT VACC
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722">
   <title>Section CERT VACC</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]
Item: (CDASection)
-->

   <rule fpi="RULC-1" context="*[hl7:section]" id="d42e1250-false-d17654e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:section) &gt;= 1">(CDASection): element hl7:section is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:section) &lt;= 1">(CDASection): element hl7:section appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section"
         id="d42e1260-false-d17741e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(CDASection): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(CDASection): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:templateId) &lt;= 1">(CDASection): element hl7:templateId appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:code) &lt;= 1">(CDASection): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:title) &gt;= 1">(CDASection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:title) &lt;= 1">(CDASection): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:text) &gt;= 1">(CDASection): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="count(hl7:text) &lt;= 1">(CDASection): element hl7:text appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entry[[Dati Vaccinazione]] | hl7:entry[[Dati Esonero/omissione o differimento]])"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="$elmcount &gt;= 1">(CDASection): choice (hl7:entry[[Dati Vaccinazione]]  or  hl7:entry[[Dati Esonero/omissione o differimento]]) does not contain enough elements [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:templateId
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section/hl7:templateId"
         id="d42e1266-false-d17798e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.3.2') or not(@root)">(CDASection): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.3.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:code
Item: (CDASection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section/hl7:code"
         id="d42e1271-false-d17812e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="string(@code) = ('11369-6')">(CDASection): The value for code SHALL be '11369-6'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(CDASection): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDASection): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.345-2023-07-26T165722.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDASection): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:title
Item: (CDASection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:text
Item: (CDASection)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:entry[[Dati Vaccinazione]]
Item: (CDASection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.345
Context: *[hl7:section]/hl7:section/hl7:entry[[Dati Esonero/omissione o differimento]]
Item: (CDASection)
--></pattern>
