<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.353
Name: Periodo di Copertura/prossimo  appuntamento (VACC)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713">
   <title>Periodo di Copertura/prossimo  appuntamento (VACC)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]"
         id="d42e2012-false-d18671e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]) &gt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]) &lt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]"
         id="d42e2030-false-d18688e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@moodCode) = ('EVN')">(CDAObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']) &gt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']) &lt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(CDAObservation): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(CDAObservation): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]) &gt;= 1">(CDAObservation): element hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="count(hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]) &lt;= 1">(CDAObservation): element hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']"
         id="d42e2040-false-d18739e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.4.4')">(CDAObservation): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.4.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:code[not(@nullFlavor)]
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e2055-false-d18761e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="string(@code) = ('completed')">(CDAObservation): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.353
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.4']]/hl7:value[[@xsi:type='TS' or @xsi:type='IVL_TS']]"
         id="d42e2062-false-d18779e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="@xsi:type">(CDAObservation): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230828T164426/tmp-2.16.840.1.113883.3.1937.777.63.10.353-2023-07-27T093713.html"
              test="not(@xsi:type) or (string-length(@xsi:type) &gt; 0 and not(matches(@xsi:type,'\s')))">(CDAObservation): Attribute @xsi:type SHALL be of data type 'cs'  - '<value-of select="@xsi:type"/>'</assert>
   </rule>
</pattern>
